PayZuPayZu Docs

Dict Pix Key Lookup

GET
/pix/key

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pixKey*string

The Pix key to lookup (CPF, CNPJ, email, phone, or EVP).

Length1 <= length <= 77

Header Parameters

Content-Type*string

Obrigatório em toda chamada PayZu.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

application/json

curl -X GET "https://api.payzu.processamento.com/v1/pix/key?pixKey=example%40payzu.com.br" \  -H "Content-Type: application/json"

{
  "pixKey": "5c8999e2-6b29-468b-b4e9-04d4872b1bc4",
  "document": "**.345.678/****-**",
  "name": "EMPRESA EXEMPLO LTDA",
  "branch": "****",
  "accountNumber": "*******",
  "personType": "PJ",
  "accountType": "CACC",
  "institutionIspb": "12345678",
  "institutionCode": "001",
  "institutionName": "BANCO EXEMPLO S.A."
}

{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}